﻿using System.ComponentModel.DataAnnotations;

namespace Assignment3.Models
{
    public class Error
    {
        [Key]
        public Guid Id { get; private set; } = Guid.NewGuid();
        [Required]
        public string Message { get; set; } = string.Empty;
        [Required]
        [MaxLength(3)]
        public int status { get; set; }
    }
}
