﻿using System.ComponentModel.DataAnnotations;

namespace Assignment3.Models
{
    public class Provider
    {

        [Key]
        public Guid Id { get; private set; } = Guid.NewGuid();

        [Required]
        public DateTimeOffset CreationTime { get; private set; } = DateTimeOffset.UtcNow;

        [Required]
        [MaxLength(128)]
        public string FirstName { get; set; } = string.Empty;

        [Required]
        [MaxLength(128)]
        public string LastName { get; set; } = string.Empty;

        [Required]
        public uint LicenseNumber { get; set; }

        [Required]
        public string Address { get; set; } = string.Empty;


    }
}
